<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<ng-container *ngLet="initializing$ | async as initializing">
  <div class="w-full h-full flex flex-col pb-4 overflow-y-auto">
    <div class="grow w-full">
      <app-table-skeleton *ngIf="initializing"></app-table-skeleton>
      <p-treeTable
        *ngIf="!initializing"
        [value]="assigneeCandidatesTree"
        selectionMode="checkbox"
        (selectionChange)="selectionChange($event)"
        [scrollable]="true"
        [virtualScroll]="true"
        [virtualScrollItemSize]="94"
        scrollHeight="calc(100svh - 168px)"
        [tableStyle]="{ 'min-height': '0px' }"
      >
        <ng-template pTemplate="body" let-rowNode let-rowData="rowData">
          <tr [ttRow]="rowNode">
            <td>
              <div class="flex items-center text-text-500" [ngClass]="{ 'px-6': isNode(rowData) }">
                <p-treeTableToggler [rowNode]="rowNode" />
                <div class="pr-2">
                  <p-treeTableCheckbox [value]="rowNode" />
                </div>
                <ng-container *ngIf="isOrg(rowData)">
                  <app-org-preview [org]="rowData"></app-org-preview>
                </ng-container>
                <ng-container *ngIf="isNode(rowData)">
                  <app-node-preview [node]="rowData"></app-node-preview>
                </ng-container>
              </div>
            </td>
          </tr>
        </ng-template>
        <ng-template pTemplate="emptymessage" let-columns>
          <div class="flex flex-col w-full h-[calc(100svh-264px)] justify-center text-center">
            <app-sad-face></app-sad-face>
            No assignee candidates
            <app-info class="mt-6" message="Please check your organisation's partnership settings"></app-info>
          </div>
        </ng-template>
      </p-treeTable>
    </div>
    <div class="flex items-center justify-between gap-8">
      <p-button label="Back" icon="pi pi-chevron-left" [outlined]="true" severity="secondary" (click)="goBack()"></p-button>
      <p-button label="Continue" [style]="{ width: '200px' }" icon="pi pi-chevron-right" iconPos="right" [disabled]="disabled" (onClick)="continue()"></p-button>
    </div>
  </div>
</ng-container>
